routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('admin.home');
})->middleware('auth');

Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');
Route::resource('companies', 'CompanyController')->middleware('auth');
Route::resource('users', 'UserController')->middleware('auth');

Route::get('/company/{slug}', 'CompanyUserController@company')->name('companyUsers');
Route::get('/user/{user}', 'CompanyUserController@user')->name('user');
Route::post('/feedback', 'CompanyUserController@feedback')->name('feedback');

app/Company.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Company extends Model
{
    use SoftDeletes;
    /**
     * The attributes that are mass assignable.
     *
     * @author Chithra<cct@lbit.in>
     *
     * @var array
     */
    protected $fillable = [
        'name', 'slug', 'password',
    ];

    /**
     * Define relationship with users table
     *
     * @author Chithra <cct@lbit.in>
     * 
     * @return Illuminate\Database\Eloquent\Model
     */
    public function user()
    {
    	return $this->hasMany('App\User');
    }
}

app/Http/Controllers/CompanyController.php
<?php

namespace App\Http\Controllers;

use App\Company;
use App\Http\Requests\CompanyRequest;

class CompanyController extends Controller
{
    /**
     * Display a listing of the companies.
     *
     * @author Chithra<cct@lbit.in>
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $companies = Company::orderBy('created_at', 'desc')->paginate(10);

        return view('admin.company.list', compact('companies'));
    }

    /**
     * Show the form for creating a new company.
     *
     * @author Chithra<cct@lbit.in>
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('admin.company.create');
    }

    /**
     * Store a newly created company in storage.
     *
     * @author Chithra<cct@lbit.in>
     *
     * @param  App\Http\Requests\CompanyRequest  $request
     * 
     * @return \Illuminate\Http\Response
     */
    public function store(CompanyRequest $request)
    {
        $company = new Company([
            'name' => $request->get('name'),
            'slug'=> $request->get('slug')
        ]);
 
        $company->save();
        
        return redirect()->route('company.index')->with('success', trans('admin.company_success'));
    }

    /**
     * Display the specified company.
     *
     * @author Chithra<cct@lbit.in>
     *
     * @param  \App\Company  $company
     * 
     * @return \Illuminate\Http\Response
     */
    public function show(Company $company)
    {
        return view('admin.company.view',compact('company'));
    }

    /**
     * Show the form for editing the specified company.
     *
     * @author Chithra<cct@lbit.in>
     *
     * @param  \App\Company  $company
     * 
     * @return \Illuminate\Http\Response
     */
    public function edit(Company $company)
    {
        return view('admin.company.edit',compact('company'));
    }

    /**
     * Update the specified company in storage.
     *
     * @author Chithra<cct@lbit.in>
     *
     * @param  App\Http\Requests\CompanyRequest $request
     * @param  \App\Company  $company
     * 
     * @return \Illuminate\Http\Response
     */
    public function update(CompanyRequest $request, Company $company)
    {
        $company->update($request->all());
  
        return redirect()->route('company.index')->with('success',trans('admin.company_update'));
    }

    /**
     * Remove the specified company from storage.
     *
     * @author Chithra<cct@lbit.in>
     *
     * @param  int  $id
     * 
     * @return \Illuminate\Http\Response
     */
    public function destroy(Company $company)
    {
        $company->delete();
  
        return redirect()->route('company.index')->with('success',trans('admin.company_delete'));
    }
}

resources/views/admin/company/create.blade.php
@extends('layouts.app')

@section('content')
    <div class="row">
        <div class="col-lg-12">
            <div class="card-header">
                @lang('admin.new_company')
                <a class="btn btn-success float-right add_company" href="{{ route('companies.index') }}">
                    @lang('admin.back')
                </a>
            </div>
        </div>
    </div>
    <div class="card-body">
        @if ($errors->any())
            <div class="alert alert-danger">
                @lang('admin.input_error')
                <ul>
                    @foreach ($errors->all() as $error)
                        <li>{{ $error }}</li>
                    @endforeach
                </ul>
            </div>
        @endif
        <form action="{{ route('companies.store') }}" method="POST">
            @csrf
            <div class="form-group">
                <label for="company_name">@lang('admin.company_name')</label>
                <input type="text" class="form-control" id="company_name" placeholder="@lang('admin.field_error', ['name' => 'name'])" name="name" value="{{ old('name') }}">
            </div>
            <div class="form-group">
                <label for="company_slug">@lang('admin.company_slug')</label>
                <input type="text" class="form-control" id="company_slug" placeholder="@lang('admin.field_error', ['name' => 'slug'])" name="slug" value="{{ old('slug') }}">
            </div>
            <button type="submit" class="btn btn-primary">@lang('admin.submit')</button>
        </form>
    </div>
@endsection

resources/views/admin/company/edit.blade.php
@extends('layouts.app')

@section('content')
    <div class="row">
        <div class="col-lg-12">
            <div class="card-header">
                @lang('admin.edit_company')
                <a class="btn btn-success float-right add_company" href="{{ route('companies.create') }}">
                    @lang('admin.companies_add')
                </a>
            </div>
        </div>
    </div>
    <div class="card-body">
        @if ($errors->any())
            <div class="alert alert-danger">
                @lang('admin.input_error')
                <ul>
                    @foreach ($errors->all() as $error)
                        <li>{{ $error }}</li>
                    @endforeach
                </ul>
            </div>
        @endif
        <form method="post" action="{{ route('companies.update',$company->id) }}" >
            @method('PATCH')
            @csrf
            <div class="form-group">
                <label for="company_name">@lang('admin.company_name')</label>
                <input type="text" class="form-control" id="company_name" placeholder="@lang('admin.field_error', ['name' => 'name'])" name="name" value="{{ $company->name }}">
            </div>
            <div class="form-group">
                <label for="company_slug">@lang('admin.company_slug')</label>
                <input type="text" class="form-control" id="company_slug" placeholder="@lang('admin.field_error', ['name' => 'slug'])" name="slug" value="{{ $company->slug }}">
            </div>
            <button type="submit" class="btn btn-primary">@lang('admin.submit')</button>
        </form>
    </div>
@endsection

resources/views/admin/company/list.blade.php
@extends('layouts.app')

@section('content')
    <div class="row">
        <div class="col-lg-12">
            <div class="card-header">
                @lang('admin.companies_title')
                <a class="btn btn-success float-right add_company" href="{{ route('companies.create') }}">
                    @lang('admin.companies_add')
                </a>
            </div>
        </div>
    </div>
    <div class="card-body">
        @if ($message = Session::get('success'))
            <div class="alert alert-success">
                <p>{{ $message }}</p>
            </div>
        @endif

        <table class="table table-bordered">
            <tr>
                <th>@lang('admin.si_no')</th>
                <th>@lang('admin.company_name')</th>
                <th>@lang('admin.company_slug')</th>
                <th>@lang('admin.actions')</th>
            </tr>
            @php
                $i = 0;
            @endphp
            @foreach ($companies as $company)
                <tr>
                    <td>{{ ++$i }}</td>
                    <td>{{ $company->name }}</td>
                    <td>{{ $company->slug }}</td>
                    <td>
                        <form action="{{ route('companies.destroy', $company->id) }}" method="POST">
                            <a class="btn btn-info" href="{{ route('companies.show', $company->id) }}">@lang('admin.show')</a>
                            <a class="btn btn-primary" href="{{ route('companies.edit', $company->id) }}">@lang('admin.edit')</a>
                            @csrf
                            @method('DELETE')
                            <button type="submit" class="btn btn-danger">@lang('admin.delete')</button>
                        </form>
                    </td>
                </tr>
            @endforeach
        </table>
        {!! $companies->links() !!}
    </div>
@endsection

resources/views/admin/company/view.blade.php
@extends('layouts.app')

@section('content')
    <div class="row">
        <div class="col-lg-12">
            <div class="card-header">
                @lang('admin.companies_title')
                <a class="btn btn-success float-right add_company" href="{{ route('companies.index') }}">
                    @lang('admin.back')
                </a>
            </div>
        </div>
    </div>
    <div class="card-body">
        <table class="table table-bordered">
            <tr>
                <th>@lang('admin.company_name'):</th>
                <td>{{ $company->name }}</td>
            </tr>
            <tr>
                <th>@lang('admin.company_slug'):</th>
                <td>{{ $company->slug }}</td>
            </tr>
        </table>
    </div>
@endsection